NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Die::RibChildBuilder Class Reference

Represents a Die Rib Child sub feature. More...

Inheritance diagram for NXOpen::Die::RibChildBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AdjustedThickness ()
 Returns the adjusted thickness of the die rib. More...
 
double Angle ()
 Returns the angle of the die rib. More...
 
NXOpen::IOrientationBottom ()
 Returns the bottom limit geometry of the die rib. More...
 
NXOpen::IOrientationBottomEnd ()
 Returns the bottom end limit geometry of the die rib. More...
 
double BottomHorizontalOffset ()
 Returns the bottom horizontal offset of the die rib. More...
 
double BottomLimitOffset ()
 Returns the bottom limit offset of the die rib. More...
 
double BottomVerticalOffset ()
 Returns the bottom vertical offset of the die rib. More...
 
NXOpen::Die::DieBuildStatusOption BuildStatus ()
 Returns the build status of the die rib. More...
 
double CenterlineXyOffset ()
 Returns the centerline xy offset of the die rib. More...
 
bool DesignStatus ()
 Returns the design status of the die rib, if true the rib will be built into the model, if false it will not. More...
 
bool DisplayStatus ()
 Returns the display status of the die rib, if true input data to the rib will be displayed, if false the input data will not be displayed. More...
 
std::vector< NXOpen::IProfile * > GetBottomEnd (NXOpen::Die::DirectionOption *direction)
 Gets the bottom end limit geometry of the die rib as a profile. More...
 
std::vector< NXOpen::IProfile * > GetCenterline (NXOpen::Die::DirectionOption *direction)
 Gets the centerline of the rib. More...
 
std::vector< NXOpen::IProfile * > GetStart (NXOpen::Die::DirectionOption *direction)
 Gets the start limit geometry of the die rib as a profile. More...
 
std::vector< NXOpen::IProfile * > GetTopEnd (NXOpen::Die::DirectionOption *direction)
 Gets the top end limit geometry of the die rib as a profile. More...
 
double Height ()
 Returns the height of the die rib. More...
 
double LccMinWidth ()
 Returns the lightening core mininum width of the die rib. More...
 
bool LighteningCore ()
 Returns the lightening core switch of the die rib, if true the lightening core will be built into the rib, if false it will not. More...
 
double LighteningCoreClearance ()
 Returns the lightening core clearance of the die rib. More...
 
bool Rectangular ()
 Returns the rectangular switch of the die rib, if true the lightening core will be rectangular, if false it will follow the shape of the rib. More...
 
void SetAdjustedThickness (double adjustedThickness)
 Sets the adjusted thickness of the die rib. More...
 
void SetAngle (double angle)
 Sets the angle of the die rib. More...
 
void SetBottom (NXOpen::IOrientation *bottom)
 Sets the bottom limit geometry of the die rib. More...
 
void SetBottomEnd (NXOpen::IOrientation *bottomEnd)
 Sets the bottom end limit geometry of the die rib. More...
 
void SetBottomEnd (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries)
 Sets the bottom end limit geometry of the die rib using a profile. More...
 
void SetBottomHorizontalOffset (double bottomHorizontalOffset)
 Sets the bottom horizontal offset of the die rib. More...
 
void SetBottomLimitOffset (double bottomLimitOffset)
 Sets the bottom limit offset of the die rib. More...
 
void SetBottomVerticalOffset (double bottomVerticalOffset)
 Sets the bottom vertical offset of the die rib. More...
 
void SetCenterline (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries)
 Sets the centerline of the rib. More...
 
void SetCenterlineXyOffset (double centerlineXyOffset)
 Sets the centerline xy offset of the die rib. More...
 
void SetDesignStatus (bool designStatus)
 Sets the design status of the die rib, if true the rib will be built into the model, if false it will not. More...
 
void SetDisplayStatus (bool displayStatus)
 Sets the display status of the die rib, if true input data to the rib will be displayed, if false the input data will not be displayed. More...
 
void SetHeight (double height)
 Sets the height of the die rib. More...
 
void SetLccMinWidth (double lccMinWidth)
 Sets the lightening core mininum width of the die rib. More...
 
void SetLighteningCore (bool lighteningCore)
 Sets the lightening core switch of the die rib, if true the lightening core will be built into the rib, if false it will not. More...
 
void SetLighteningCoreClearance (double lighteningCoreClearance)
 Sets the lightening core clearance of the die rib. More...
 
void SetRectangular (bool rectangular)
 Sets the rectangular switch of the die rib, if true the lightening core will be rectangular, if false it will follow the shape of the rib. More...
 
void SetStart (NXOpen::IOrientation *start)
 Sets the start limit geometry of the die rib. More...
 
void SetStart (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries)
 Sets the start limit geometry of the die rib using a profile. More...
 
void SetThickness (double thickness)
 Sets the thickness of the die rib. More...
 
void SetTop (NXOpen::IOrientation *top)
 Sets the top limit geometry of the die rib. More...
 
void SetTopEnd (NXOpen::IOrientation *topEnd)
 Sets the top end limit geometry of the die rib. More...
 
void SetTopEnd (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries)
 Sets the top end limit geometry of the die rib using a profile. More...
 
void SetTopHorizontalOffset (double topHorizontalOffset)
 Sets the top horizontal offset of the die rib. More...
 
void SetTopLimitOffset (double topLimitOffset)
 Sets the top limit offset of the die rib. More...
 
void SetTopVerticalOffset (double topVerticalOffset)
 Sets the top vertical offset of the die rib. More...
 
NXOpen::IOrientationStart ()
 Returns the start limit geometry of the die rib. More...
 
double Thickness ()
 Returns the thickness of the die rib. More...
 
NXOpen::IOrientationTop ()
 Returns the top limit geometry of the die rib. More...
 
NXOpen::IOrientationTopEnd ()
 Returns the top end limit geometry of the die rib. More...
 
double TopHorizontalOffset ()
 Returns the top horizontal offset of the die rib. More...
 
double TopLimitOffset ()
 Returns the top limit offset of the die rib. More...
 
double TopVerticalOffset ()
 Returns the top vertical offset of the die rib. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Die Rib Child sub feature.


This sub feature is created via the main feature builder.

Created in NX4.0.0.

Member Function Documentation

double NXOpen::Die::RibChildBuilder::AdjustedThickness ( )

Returns the adjusted thickness of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::Angle ( )

Returns the angle of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

NXOpen::IOrientation* NXOpen::Die::RibChildBuilder::Bottom ( )

Returns the bottom limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

NXOpen::IOrientation* NXOpen::Die::RibChildBuilder::BottomEnd ( )

Returns the bottom end limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::BottomHorizontalOffset ( )

Returns the bottom horizontal offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::BottomLimitOffset ( )

Returns the bottom limit offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::BottomVerticalOffset ( )

Returns the bottom vertical offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

NXOpen::Die::DieBuildStatusOption NXOpen::Die::RibChildBuilder::BuildStatus ( )

Returns the build status of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::CenterlineXyOffset ( )

Returns the centerline xy offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

bool NXOpen::Die::RibChildBuilder::DesignStatus ( )

Returns the design status of the die rib, if true the rib will be built into the model, if false it will not.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

bool NXOpen::Die::RibChildBuilder::DisplayStatus ( )

Returns the display status of the die rib, if true input data to the rib will be displayed, if false the input data will not be displayed.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

std::vector<NXOpen::IProfile *> NXOpen::Die::RibChildBuilder::GetBottomEnd ( NXOpen::Die::DirectionOption direction)

Gets the bottom end limit geometry of the die rib as a profile.

Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")
Parameters
directionProfile direction.
std::vector<NXOpen::IProfile *> NXOpen::Die::RibChildBuilder::GetCenterline ( NXOpen::Die::DirectionOption direction)

Gets the centerline of the rib.

Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")
Parameters
directionProfile direction.
std::vector<NXOpen::IProfile *> NXOpen::Die::RibChildBuilder::GetStart ( NXOpen::Die::DirectionOption direction)

Gets the start limit geometry of the die rib as a profile.

Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")
Parameters
directionProfile direction.
std::vector<NXOpen::IProfile *> NXOpen::Die::RibChildBuilder::GetTopEnd ( NXOpen::Die::DirectionOption direction)

Gets the top end limit geometry of the die rib as a profile.

Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")
Parameters
directionProfile direction.
double NXOpen::Die::RibChildBuilder::Height ( )

Returns the height of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::LccMinWidth ( )

Returns the lightening core mininum width of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

bool NXOpen::Die::RibChildBuilder::LighteningCore ( )

Returns the lightening core switch of the die rib, if true the lightening core will be built into the rib, if false it will not.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::LighteningCoreClearance ( )

Returns the lightening core clearance of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

bool NXOpen::Die::RibChildBuilder::Rectangular ( )

Returns the rectangular switch of the die rib, if true the lightening core will be rectangular, if false it will follow the shape of the rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

void NXOpen::Die::RibChildBuilder::SetAdjustedThickness ( double  adjustedThickness)

Sets the adjusted thickness of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
adjustedThicknessadjusted thickness
void NXOpen::Die::RibChildBuilder::SetAngle ( double  angle)

Sets the angle of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
angleangle
void NXOpen::Die::RibChildBuilder::SetBottom ( NXOpen::IOrientation bottom)

Sets the bottom limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
bottombottom
void NXOpen::Die::RibChildBuilder::SetBottomEnd ( NXOpen::IOrientation bottomEnd)

Sets the bottom end limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
bottomEndbottom end
void NXOpen::Die::RibChildBuilder::SetBottomEnd ( NXOpen::Die::DirectionOption  direction,
const std::vector< NXOpen::IProfile * > &  profileEntries 
)

Sets the bottom end limit geometry of the die rib using a profile.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
directionProfile direction.
profileEntriesThe profile entries, can be curves, edges, faces, sketches or curve features.
void NXOpen::Die::RibChildBuilder::SetBottomHorizontalOffset ( double  bottomHorizontalOffset)

Sets the bottom horizontal offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
bottomHorizontalOffsetbottom horizontal offset
void NXOpen::Die::RibChildBuilder::SetBottomLimitOffset ( double  bottomLimitOffset)

Sets the bottom limit offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
bottomLimitOffsetbottom limit offset
void NXOpen::Die::RibChildBuilder::SetBottomVerticalOffset ( double  bottomVerticalOffset)

Sets the bottom vertical offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
bottomVerticalOffsetbottom vertical offset
void NXOpen::Die::RibChildBuilder::SetCenterline ( NXOpen::Die::DirectionOption  direction,
const std::vector< NXOpen::IProfile * > &  profileEntries 
)

Sets the centerline of the rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
directionProfile direction.
profileEntriesThe profile entries, can be curves, edges, faces, sketches or curve features.
void NXOpen::Die::RibChildBuilder::SetCenterlineXyOffset ( double  centerlineXyOffset)

Sets the centerline xy offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
centerlineXyOffsetcenterline xy offset
void NXOpen::Die::RibChildBuilder::SetDesignStatus ( bool  designStatus)

Sets the design status of the die rib, if true the rib will be built into the model, if false it will not.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
designStatusdesign status
void NXOpen::Die::RibChildBuilder::SetDisplayStatus ( bool  displayStatus)

Sets the display status of the die rib, if true input data to the rib will be displayed, if false the input data will not be displayed.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
displayStatusdisplay status
void NXOpen::Die::RibChildBuilder::SetHeight ( double  height)

Sets the height of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
heightheight
void NXOpen::Die::RibChildBuilder::SetLccMinWidth ( double  lccMinWidth)

Sets the lightening core mininum width of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
lccMinWidthlcc min width
void NXOpen::Die::RibChildBuilder::SetLighteningCore ( bool  lighteningCore)

Sets the lightening core switch of the die rib, if true the lightening core will be built into the rib, if false it will not.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
lighteningCorelightening core
void NXOpen::Die::RibChildBuilder::SetLighteningCoreClearance ( double  lighteningCoreClearance)

Sets the lightening core clearance of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
lighteningCoreClearancelightening core clearance
void NXOpen::Die::RibChildBuilder::SetRectangular ( bool  rectangular)

Sets the rectangular switch of the die rib, if true the lightening core will be rectangular, if false it will follow the shape of the rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
rectangularrectangular
void NXOpen::Die::RibChildBuilder::SetStart ( NXOpen::IOrientation start)

Sets the start limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
startstart
void NXOpen::Die::RibChildBuilder::SetStart ( NXOpen::Die::DirectionOption  direction,
const std::vector< NXOpen::IProfile * > &  profileEntries 
)

Sets the start limit geometry of the die rib using a profile.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
directionProfile direction.
profileEntriesThe the profile entries, can be curves, edges, faces, sketches or curve features.
void NXOpen::Die::RibChildBuilder::SetThickness ( double  thickness)

Sets the thickness of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
thicknessthickness
void NXOpen::Die::RibChildBuilder::SetTop ( NXOpen::IOrientation top)

Sets the top limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
toptop
void NXOpen::Die::RibChildBuilder::SetTopEnd ( NXOpen::IOrientation topEnd)

Sets the top end limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
topEndtop end
void NXOpen::Die::RibChildBuilder::SetTopEnd ( NXOpen::Die::DirectionOption  direction,
const std::vector< NXOpen::IProfile * > &  profileEntries 
)

Sets the top end limit geometry of the die rib using a profile.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
directionProfile direction.
profileEntriesThe profile entries, can be curves, edges, faces, sketches or curve features.
void NXOpen::Die::RibChildBuilder::SetTopHorizontalOffset ( double  topHorizontalOffset)

Sets the top horizontal offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
topHorizontalOffsettop horizontal offset
void NXOpen::Die::RibChildBuilder::SetTopLimitOffset ( double  topLimitOffset)

Sets the top limit offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
topLimitOffsettop limit offset
void NXOpen::Die::RibChildBuilder::SetTopVerticalOffset ( double  topVerticalOffset)

Sets the top vertical offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
topVerticalOffsettop vertical offset
NXOpen::IOrientation* NXOpen::Die::RibChildBuilder::Start ( )

Returns the start limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::Thickness ( )

Returns the thickness of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

NXOpen::IOrientation* NXOpen::Die::RibChildBuilder::Top ( )

Returns the top limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

NXOpen::IOrientation* NXOpen::Die::RibChildBuilder::TopEnd ( )

Returns the top end limit geometry of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::TopHorizontalOffset ( )

Returns the top horizontal offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::TopLimitOffset ( )

Returns the top limit offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibChildBuilder::TopVerticalOffset ( )

Returns the top vertical offset of the die rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.